Qt Reference Documentation

# QGenericPlugin Class Reference

The QGenericPlugin class is an abstract base class for window-system related plugins in Qt QPA. More...

     #include <QGenericPlugin>

Inherits: QObject.

This class was introduced in Qt 4.8.

- List of all members, including inherited members

## Public Functions

| QGenericPlugin ( QObject * parent = 0 )
| ~QGenericPlugin ()

## Reimplemented Public Functions

virtual QObject * | create ( const QString & key, const QString & specification ) = 0
virtual QStringList | keys () const = 0

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 7 static public members inherited from QObject
- 8 protected functions inherited from QObject

## Detailed Description

The QGenericPlugin class is an abstract base class for window-system related plugins in Qt QPA.

Note that this class is only available in Qt QPA.

A mouse plugin can be created by subclassing QGenericPlugin and reimplementing the pure virtual keys() and create() functions. By exporting the derived class using the Q_EXPORT_PLUGIN2() macro, The default implementation of the QGenericPluginFactory class will automatically detect the plugin and load the driver into the server application at run-time. See How to Create Qt Plugins for details.

See also QGenericPluginFactory.

## Member Function Documentation

### QGenericPlugin::QGenericPlugin ( QObject * parent = 0 )

Constructs a plugin with the given parent.

Note that this constructor is invoked automatically by the Q_EXPORT_PLUGIN2() macro, so there is no need for calling it explicitly.

### QGenericPlugin::~QGenericPlugin ()

Destroys the plugin.

Note that Qt destroys a plugin automatically when it is no longer used, so there is no need for calling the destructor explicitly.

### QObject * QGenericPlugin::create ( const QString & key, const QString & specification )`[pure virtual]`

Implement this function to create a driver matching the type specified by the given key and specification parameters. Note that keys are case-insensitive.

See also keys().

### QStringList QGenericPlugin::keys () const`[pure virtual]`

Implement this function to return the list of valid keys, i.e. the drivers supported by this plugin.

See also create().